Bug 491718 - UI review: Close/Cancel
UI review: Close/Cancel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 14:09 EDT by Matthias Clasen
Modified: 2010-03-23 06:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 06:25:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (65.96 KB, image/png)
2009-04-15 18:51 EDT, Michael Monreal
no flags Details

  None (edit)
Description Matthias Clasen 2009-03-23 14:09:11 EDT
The update viewer still shows the dreaded Close+Cancel button combination while the transaction is running. What Jon proposed was to add a "Quit" button instead of "Close", and disallow closing the window while the transaction is running.

Relatedly, as long as we do allow closing the window, clicking on the running transaction in the statusicon menu should bring the update viewer window back, instead of a different progress dialog.
Comment 1 Richard Hughes 2009-03-24 05:42:01 EDT
Hmm, I don't think preventing close when the transaction is running is a good idea, unless it cancels the transaction. And then clicking [x] when the transaction is non-cancellable would be ignored, which isn't usual behaviour IMO. What about this:

no transaction:

[Help] [Close]

getting update lists:

[Help] [Cancel]

showing updates:

[Help] [Close]

downloading:

[Help] [Cancel]

installing

[Help] [Cancel (greyed out)]

So in this case we only show either the cancel button _or_ the close button. If you press cancel, then the cancel button disappears, and the close button appears in it's place. Or something like that.

If the [x] is pressed when the transaction is active, then we should just hide the window, and then only reactivate if libunique pokes us that another instance is being started. That solves the window problem.

Other ideas welcome.

Richard.
Comment 2 Richard Hughes 2009-03-24 05:54:51 EDT
(In reply to comment #0)
> Relatedly, as long as we do allow closing the window, clicking on the running
> transaction in the statusicon menu should bring the update viewer window back,
> instead of a different progress dialog.  

commit bad91429fa4c9d286825b3e2aca078ea9eb1ebdb
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Mar 24 09:53:32 2009 +0000

    bugfix: if the new update viewer is running in a transaction when it's closed, just hide the window and present it if run again

(now all I have to do is connect up the statusicon...)
Comment 3 Michael Monreal 2009-04-15 18:51:25 EDT
Created attachment 339756 [details]
Screenshot

This is probably still work in progress but I want to note that the current version has a strange combination of buttons while downloading: [Quit] and [Install Updates]

Pressing the latter does not seem to do anything useful.
Comment 4 Bug Zapper 2009-06-09 08:31:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.